#include "charset.h"

unsigned char _vntoupper[256] = {
	/* C_NUL                       0 */	C_NUL	,
	/* C_SOH                       1 */	C_SOH	,
	/* C_STX                       2 */	C_STX	,
	/* C_ETX                       3 */	C_ETX	,
	/* C_EOT                       4 */	C_EOT	,
	/* C_Y_hook_above/C_ENQ        5 */	C_ENQ 	,
	/* C_ACK                       6 */	C_ACK	,
	/* C_BEL                       7 */	C_BEL	,
	/* C_BS                        8 */	C_BS	,
	/* C_HT                        9 */	C_HT	,
	/* C_LF                       10 */	C_LF	,
	/* C_VT                       11 */	C_VT	,
	/* C_FF                       12 */	C_FF	,
	/* C_CR                       13 */	C_CR	,
	/* C_SO                       14 */	C_SO	,
	/* C_SI                       15 */	C_SI	,
	/* C_Y_tilde/C_DLE            16 */	C_DLE   ,
	/* C_DC1                      17 */	C_DC1	,
	/* C_DC2                      18 */	C_DC2	,
	/* C_DC3                      19 */	C_DC3	,
	/* C_Y_dot_below/C_DC4        20 */	C_DC4   ,
	/* C_NAK                      21 */	C_NAK	,
	/* C_SYN                      22 */	C_SYN	,
	/* C_ETB                      23 */	C_ETB	,
	/* C_CAN                      24 */	C_CAN	,
	/* C_EM                       25 */	C_EM	,
	/* C_SUB                      26 */	C_SUB	,
	/* C_ESC                      27 */	C_ESC	,
	/* C_IS4                      28 */	C_IS4	,
	/* C_y_hook_above/C_IS3       29 */	C_IS3   ,
	/* C_y_tilde/C_IS2            30 */	C_IS2   ,
	/* C_y_dot_below/C_IS1        31 */	C_IS1   ,

	/* C_space                    32 */	C_space	,
	/* C_exclamation_mark         33 */	C_exclamation_mark	,
	/* C_quotation_mark           34 */	C_quotation_mark	,
	/* C_pound_sign               35 */	C_pound_sign	,
	/* C_dollar_sign              36 */	C_dollar_sign	,
	/* C_percent                  37 */	C_percent	,
	/* C_ampersand                38 */	C_ampersand	,
	/* C_apostrophe               39 */	C_apostrophe	,
	/* C_left_parenthesis         40 */	C_left_parenthesis	,
	/* C_right_parenthesis        41 */	C_right_parenthesis	,
	/* C_asterisk                 42 */	C_asterisk	,
	/* C_plus_sign                43 */	C_plus_sign	,
	/* C_comma                    44 */	C_comma	,
	/* C_hyphen                   45 */	C_hyphen	,
	/* C_period                   46 */	C_period	,
	/* C_slash                    47 */	C_slash	,

	/* C_zero                     48 */	C_zero	,
	/* C_one                      49 */	C_one	,
	/* C_two                      50 */	C_two	,
	/* C_three                    51 */	C_three	,
	/* C_four                     52 */	C_four	,
	/* C_five                     53 */	C_five	,
	/* C_six                      54 */	C_six	,
	/* C_seven                    55 */	C_seven	,
	/* C_eight                    56 */	C_eight	,
	/* C_nine                     57 */	C_nine	,

	/* C_colon                    58 */	C_colon	,
	/* C_semicolon                59 */	C_semicolon	,
	/* C_less_than                60 */	C_less_than	,
	/* C_equals_sign              61 */	C_equals_sign	,
	/* C_greater_than             62 */	C_greater_than	,
	/* C_question_mark            63 */	C_question_mark	,
	/* C_commercial_at            64 */	C_commercial_at	,

	/* C_A                        65 */	C_A	,
	/* C_B                        66 */	C_B	,
	/* C_C                        67 */	C_C	,
	/* C_D                        68 */	C_D	,
	/* C_E                        69 */	C_E	,
	/* C_F                        70 */	C_F	,
	/* C_G                        71 */	C_G	,
	/* C_H                        72 */	C_H	,
	/* C_I                        73 */	C_I	,
	/* C_J                        74 */	C_J	,
	/* C_K                        75 */	C_K	,
	/* C_L                        76 */	C_L	,
	/* C_M                        77 */	C_M	,
	/* C_N                        78 */	C_N	,
	/* C_O                        79 */	C_O	,
	/* C_P                        80 */	C_P	,
	/* C_Q                        81 */	C_Q	,
	/* C_R                        82 */	C_R	,
	/* C_S                        83 */	C_S	,
	/* C_T                        84 */	C_T	,
	/* C_U                        85 */	C_U	,
	/* C_V                        86 */	C_V	,
	/* C_W                        87 */	C_W	,
	/* C_X                        88 */	C_X	,
	/* C_Y                        89 */	C_Y	,
	/* C_Z                        90 */	C_Z	,

	/* C_left_square_bracket      91 */	C_left_square_bracket	,
	/* C_back_slash               92 */	C_back_slash	,
	/* C_right_square_bracket     93 */	C_right_square_bracket	,
	/* C_caret                    94 */	C_caret	,
	/* C_underscore               95 */	C_underscore	,
	/* C_backquote                96 */	C_backquote	,

	/* C_a                        97 */	C_A	,
	/* C_b                        98 */	C_B	,
	/* C_c                        99 */	C_C	,
	/* C_d                       100 */	C_D	,
	/* C_e                       101 */	C_E	,
	/* C_f                       102 */	C_F	,
	/* C_g                       103 */	C_G	,
	/* C_h                       104 */	C_H	,
	/* C_i                       105 */	C_I	,
	/* C_j                       106 */	C_J	,
	/* C_k                       107 */	C_K	,
	/* C_l                       108 */	C_L	,
	/* C_m                       109 */	C_M	,
	/* C_n                       110 */	C_N	,
	/* C_o                       111 */	C_O	,
	/* C_p                       112 */	C_P	,
	/* C_q                       113 */	C_Q	,
	/* C_r                       114 */	C_R	,
	/* C_s                       115 */	C_S	,
	/* C_t                       116 */	C_T	,
	/* C_u                       117 */	C_U	,
	/* C_v                       118 */	C_V	,
	/* C_w                       119 */	C_W	,
	/* C_x                       120 */	C_X	,
	/* C_y                       121 */	C_Y	,
	/* C_z                       122 */	C_Z	,

	/* C_left_brace              123 */	C_left_brace	,
	/* C_vertical_bar            124 */	C_vertical_bar	,
	/* C_right_brace             125 */	C_right_brace	,
	/* C_tilde                   126 */	C_tilde	,
	/* C_delete                  127 */	C_delete	,

 C_A_dot_below        ,
 C_A_breve_acute      ,
 C_A_breve_grave      ,
 C_A_breve_dot_below  ,
 C_A_circumflex_acute      ,
 C_A_circumflex_grave      ,
 C_A_circumflex_hook_above ,
 C_A_circumflex_dot_below  ,
 C_E_tilde            ,
 C_E_dot_below        ,
 C_E_circumflex_acute      ,
 C_E_circumflex_grave      ,
 C_E_circumflex_hook_above ,
 C_E_circumflex_tilde      ,
 C_E_circumflex_dot_below  ,
 C_O_circumflex_acute      ,
 C_O_circumflex_grave      ,
 C_O_circumflex_hook_above ,
 C_O_circumflex_tilde      ,
 C_O_circumflex_dot_below  ,
 C_O_horn_dot_below   ,
 C_O_horn_acute       ,
 C_O_horn_grave       ,
 C_O_horn_hook_above  ,
 C_I_dot_below        ,
 C_O_hook_above       ,
 C_O_dot_below        ,
 C_I_hook_above       ,
 C_U_hook_above       ,
 C_U_tilde            ,
 C_U_dot_below        ,
 C_Y_grave            ,
 C_O_tilde            ,
 C_A_breve_acute      ,
 C_A_breve_grave      ,
 C_A_breve_dot_below  ,
 C_A_circumflex_acute      ,
 C_A_circumflex_grave      ,
 C_A_circumflex_hook_above ,
 C_A_circumflex_dot_below  ,
 C_E_tilde            ,
 C_E_dot_below        ,
 C_E_circumflex_acute      ,
 C_E_circumflex_grave      ,
 C_E_circumflex_hook_above ,
 C_E_circumflex_tilde      ,
 C_E_circumflex_dot_below  ,
 C_O_circumflex_acute      ,
 C_O_circumflex_grave      ,
 C_O_circumflex_hook_above ,
 C_O_circumflex_tilde      ,
 C_O_horn_tilde       ,
 C_O_horn             ,
 C_O_circumflex_dot_below  ,
 C_O_horn_grave       ,
 C_O_horn_hook_above  ,
 C_I_dot_below        ,
 C_U_horn_dot_below   ,
 C_U_horn_acute       ,
 C_U_horn_grave       ,
 C_U_horn_hook_above  ,
 C_O_horn             ,
 C_O_horn_acute       ,
 C_U_horn             ,
 C_A_grave            ,
 C_A_acute            ,
 C_A_circumflex       ,
 C_A_tilde            ,
 C_A_hook_above       ,
 C_A_breve            ,
 C_A_breve_hook_above ,
 C_A_breve_tilde      ,
 C_E_grave            ,
 C_E_acute            ,
 C_E_circumflex       ,
 C_E_hook_above       ,
 C_I_grave            ,
 C_I_acute            ,
 C_I_tilde            ,
 C_Y_grave            ,
 C_D_bar              ,
 C_U_horn_acute       ,
 C_O_grave            ,
 C_O_acute            ,
 C_O_circumflex       ,
 C_A_dot_below 	      ,
 C_Y_hook_above       ,
 C_U_horn_grave       ,
 C_U_horn_hook_above  ,
 C_U_grave            ,
 C_U_acute            ,
 C_Y_tilde            ,
 C_Y_dot_below        ,
 C_Y_acute            ,
 C_O_horn_tilde       ,
 C_U_horn             ,
 C_A_grave            ,
 C_A_acute            ,
 C_A_circumflex       ,
 C_A_tilde            ,
 C_A_hook_above       ,
 C_A_breve            ,
 C_U_horn_tilde       ,
 C_A_circumflex_tilde      ,
 C_E_grave            ,
 C_E_acute            ,
 C_E_circumflex       ,
 C_E_hook_above       ,
 C_I_grave            ,
 C_I_acute            ,
 C_I_tilde            ,
 C_I_hook_above       ,
 C_D_bar              ,
 C_U_horn_dot_below   ,
 C_O_grave            ,
 C_O_acute            ,
 C_O_circumflex       ,
 C_O_tilde            ,
 C_O_hook_above       ,
 C_O_dot_below        ,
 C_U_dot_below        ,
 C_U_grave            ,
 C_U_acute            ,
 C_U_tilde            ,
 C_U_hook_above       ,
 C_Y_acute            ,
 C_O_horn_dot_below   ,
 C_U_horn_tilde       
};


